Package org.gradle.api.plugins

# Class ProjectReportsPluginConvention

java.lang.Object
org.gradle.api.plugins.ProjectReportsPluginConvention

public class ProjectReportsPluginConvention extends Object
The conventional configuration for the `ProjectReportsPlugin`.

## Constructor Summary

Constructors
Constructor
Description
`ProjectReportsPluginConvention(Project project)`

## Method Summary

Modifier and Type
Method
Description
`File`
`getProjectReportDir()`
Returns the directory to generate the project reports into.
`String`
`getProjectReportDirName()`
The name of the directory to generate the project reports into, relative to the project's reports dir.
`Set<Project>`
`getProjects()`
`void`
`setProjectReportDirName(String projectReportDirName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProjectReportsPluginConvention

public ProjectReportsPluginConvention(Project project)

## Method Details

### getProjectReportDirName

public String getProjectReportDirName()
The name of the directory to generate the project reports into, relative to the project's reports dir.

### setProjectReportDirName

public void setProjectReportDirName(String projectReportDirName)

### getProjectReportDir

public File getProjectReportDir()
Returns the directory to generate the project reports into.

### getProjects

public Set<Project> getProjects()